Subject: Re: bug#30347: smtpmail.el doesn't retry with authentication when greylisting is used

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Apr 2018 12:33:25 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> Itʼs one of the ways. Some return 451 instead. Some 421. Itʼs all very
>> fuzzy :-)
>>
>> Oh, and thereʼs an official 'authentication is required' code whose
>> value escapes me for the moment.
>
> Yeah, smtpmail just uses the "relay not permitted" codes to guess that
> it's supposed to try again, which aren't exactly official, either.  So
> adding 450/451/421, too, probably won't break anything.
>

OK

>> BTW, if emacs has credentials for the connection itʼs making, would it
>> not make sense to attempt authentication before delivery?
>
> You'd think so...  But this might lead to some annoyances in that people
> have password-protected their password store, and will now be prompted
> for that password even if the SMTP server doesn't require a password.
>
> If you see what I mean.  :-)
>

Iʼm not sure I follow: the user has a matching machine in authinfo or
wherever they keep their passwords, and the SMTP server advertizes
AUTH support. Why would we not attempt authentication?

> So I'm not sure that change would be welcomed by everybody.

Thatʼs true. What we have now works for me :-)